#!/bin/bash

mount_point=`awk '/davfs/{print $2}'  /etc/fstab`
FILENAME=`echo $2 | awk -F "\/" '{print $(NF)}'`

[[ -f ${mount_point} ]] || mkdir -p ${mount_point}
until [[ `cut -d' ' -f2 /proc/mounts | grep "${mount_point}" ` ]];
	do
		sleep 15
		mount ${mount_point}
	done

/usr/bin/rsync -avzr --remove-source-files $1 $2
/usr/bin/mosquitto_pub -t /devices/cam_1/controls/foto -m "${FILENAME}"
